Arrival
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/arrival \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "<string>",
"update": {
"stage": "<string>",
"expectedAt": "<string>",
"note": "<string>",
"occurredAt": "<string>",
"reasons": [
"<string>"
],
"access": {
"timeOnSiteMinutes": 123,
"doorPhotoDocumentId": "<string>",
"calledTenant": true,
"cardLeft": true,
"refusedBy": "<string>",
"keySetId": "<string>",
"contractorConfirmed": true,
"contractorExplanation": "<string>"
}
}
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
update: {
stage: '<string>',
expectedAt: '<string>',
note: '<string>',
occurredAt: '<string>',
reasons: ['<string>'],
access: {
timeOnSiteMinutes: 123,
doorPhotoDocumentId: '<string>',
calledTenant: true,
cardLeft: true,
refusedBy: '<string>',
keySetId: '<string>',
contractorConfirmed: true,
contractorExplanation: '<string>'
}
}
})
};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/arrival', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/arrival"
payload = {
"requestId": "<string>",
"update": {
"stage": "<string>",
"expectedAt": "<string>",
"note": "<string>",
"occurredAt": "<string>",
"reasons": ["<string>"],
"access": {
"timeOnSiteMinutes": 123,
"doorPhotoDocumentId": "<string>",
"calledTenant": True,
"cardLeft": True,
"refusedBy": "<string>",
"keySetId": "<string>",
"contractorConfirmed": True,
"contractorExplanation": "<string>"
}
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"kind": "<string>",
"visitStartsAt": "<string>",
"expectedAt": "<string>",
"note": "<string>",
"outcome": "<string>",
"workDone": "<string>",
"materials": "<string>",
"followUpNeeded": true,
"followUpNote": "<string>",
"photoAttachmentIds": [
"<string>"
],
"occurredAt": "<string>",
"recordedAt": "<string>",
"reasons": [
"<string>"
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro-contractor
Arrival
On my way, arrived, running late or could not get in; a resend replays
POST
/
p
/
:tenant
/
contractor
/
jobs
/
{id}
/
arrival
Arrival
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/arrival \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "<string>",
"update": {
"stage": "<string>",
"expectedAt": "<string>",
"note": "<string>",
"occurredAt": "<string>",
"reasons": [
"<string>"
],
"access": {
"timeOnSiteMinutes": 123,
"doorPhotoDocumentId": "<string>",
"calledTenant": true,
"cardLeft": true,
"refusedBy": "<string>",
"keySetId": "<string>",
"contractorConfirmed": true,
"contractorExplanation": "<string>"
}
}
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
update: {
stage: '<string>',
expectedAt: '<string>',
note: '<string>',
occurredAt: '<string>',
reasons: ['<string>'],
access: {
timeOnSiteMinutes: 123,
doorPhotoDocumentId: '<string>',
calledTenant: true,
cardLeft: true,
refusedBy: '<string>',
keySetId: '<string>',
contractorConfirmed: true,
contractorExplanation: '<string>'
}
}
})
};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/arrival', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/arrival"
payload = {
"requestId": "<string>",
"update": {
"stage": "<string>",
"expectedAt": "<string>",
"note": "<string>",
"occurredAt": "<string>",
"reasons": ["<string>"],
"access": {
"timeOnSiteMinutes": 123,
"doorPhotoDocumentId": "<string>",
"calledTenant": True,
"cardLeft": True,
"refusedBy": "<string>",
"keySetId": "<string>",
"contractorConfirmed": True,
"contractorExplanation": "<string>"
}
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"kind": "<string>",
"visitStartsAt": "<string>",
"expectedAt": "<string>",
"note": "<string>",
"outcome": "<string>",
"workDone": "<string>",
"materials": "<string>",
"followUpNeeded": true,
"followUpNote": "<string>",
"photoAttachmentIds": [
"<string>"
],
"occurredAt": "<string>",
"recordedAt": "<string>",
"reasons": [
"<string>"
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Path Parameters
Response
Success